文档API 参考

Rust · 0.1.0

Sign In

POST /api/v1/auth/signin

AuthService · AuthService_SignIn

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

无需访问令牌即可用于账号或启动流程,包括私有实例;操作仍会按要求校验自身的凭据或 Cookie。

选择一种凭据形式

发送 passwordCredentials 或 ssoCredentials 其中一种,不要同时发送。响应提供 accessToken;需要保留 HTTP 刷新 Cookie 以供 RefreshToken 使用。普通用户的密码登录可能被禁用,也可能需要部署挑战。归档用户不能登录。不要将用户密码当作自动化凭据,应通过账号令牌设置创建 PAT。

请求

SignIn authenticates a user with credentials and returns tokens. On success, returns an access token and sets a refresh token cookie. Supports password-based and SSO authentication methods.

POST/api/v1/auth/signin

参数

未声明路径或查询参数。

请求体

必需

application/json · SignInRequest

响应

200 · OK

application/json · SignInResponse

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "AuthService"
  ],
  "description": "SignIn authenticates a user with credentials and returns tokens.\n On success, returns an access token and sets a refresh token cookie.\n Supports password-based and SSO authentication methods.",
  "operationId": "AuthService_SignIn",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/SignInRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/SignInResponse"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}